///////////////////////////
// 1.FONTS
/////////////////////////////
@include font-face('Miller', '../fonts/MullerBlack', 900, normal, eot woff2 woff ttf);
@include font-face('Miller', '../fonts/MullerBold', 600, normal, eot woff2 woff ttf);
@include font-face('Miller', '../fonts/MullerExtraBold', 700, normal, eot woff2 woff ttf);
@include font-face('Miller', '../fonts/MullerLight', 300, normal, eot woff2 woff ttf);
@include font-face('Miller', '../fonts/MullerMedium', 500, normal, eot woff2 woff ttf);
@include font-face('Miller', '../fonts/MullerRegular', 400, normal, eot woff2 woff ttf);
@include font-face('Miller', '../fonts/MullerThin', 100, normal, eot woff2 woff ttf);

//FAMILY
$font-family-main: 'Miller', "Times New Roman", serif;
$font-family-title: $font-family-main;

//SIZE
$font-size-main: 14px;
$font-size-title: 48px;
$font-size-h1: $font-size-title;
$font-size-h2: 36px;
$font-size-h3: 24px;
$font-size-h4: 18px;
//LINE HEIGHT
$line-height-main: 1.4;
$line-height-title: $line-height-main;
//WEIGHT
$font-weight-main: 400;
$font-weight-title: 600;

////////////////////////////
// 2. COLORS
/////////////////////////////

$color-main: #C30016;
$color-main-darken: #D0021B;
$color-main-lighten: #F7001E;

$color-secondary: #F5A623;

$color-gray: #39393A;
$color-gray-light: #C4C4C4;
$color-gray-lighten: #F0F0F0;


$color-black: #000;
$color-white: #fff;

$color-danger: $color-main-darken;
$color-success: #27AE60;
$color-warning: $color-secondary;

$color-text: $color-black;
$color-title: $color-black;
$color-link: $color-black;


$background-body: $color-white;

////////////////////////////
// 3. BUTTONS
/////////////////////////////

// default
$button: (
	max-width: 100%,
	min-width: 236px,
	padding: 0 20px,
	height: 50px,
	line-height: 48px,
	font-family: $font-family-main,
	font-size: 13px,
	font-weight: 500,
	border-width: 1px,
	border-radius: 0,
	border-color: $color-main-darken
);

//primary
$btn-primary-bg: transparent;
$btn-primary-bgHover: $color-main-lighten;
$btn-primary-bgActive: $color-main-darken;
$btn-primary-bgFocus: darken($btn-primary-bgHover, 10%);

$btn-primary-color: $color-main;
$btn-primary-colorHover: $color-white;
$btn-primary-colorActive: $color-secondary;
$btn-primary-colorFocus: darken($btn-primary-colorHover, 10%);

$btn-primary-border: btn(border-width) solid $color-main-darken;
$btn-primary-borderHover: btn(border-width) solid $btn-primary-bgHover;
$btn-primary-borderActive: btn(border-width) solid $btn-primary-bgActive;
$btn-primary-borderFocus: btn(border-width) solid darken($btn-primary-bgHover, 10%);

//secondary
$btn-secondary-bg: transparent;
$btn-secondary-bgHover: $color-white;
$btn-secondary-bgActive: $color-main-darken;
$btn-secondary-bgFocus: darken($btn-secondary-bgHover, 10%);

$btn-secondary-color: $color-white;
$btn-secondary-colorHover: $color-main-darken;
$btn-secondary-colorActive: $color-secondary;
$btn-secondary-colorFocus: darken($btn-secondary-colorHover, 10%);

$btn-secondary-border: btn(border-width) solid $color-white;
$btn-secondary-borderHover: btn(border-width) solid $btn-secondary-bgHover;
$btn-secondary-borderActive: btn(border-width) solid $btn-secondary-bgActive;
$btn-secondary-borderFocus: btn(border-width) solid darken($btn-secondary-bgHover, 10%);

////////////////////////////
// 4. FORMS
/////////////////////////////

$form-width: 100%;
$form-bg: #fff;
$group-width:100%;
$group-margin-bottom: 20px;

//inputs
$input: (
	width: 100%,
	height: 50px,
	padding: 0 10px 0px 12px,
	font-family: $font-family-main,
	font-size: 13px,
	font-weight: $font-weight-main,
	font-style: normal,
	color: $color-text,
	border: 1px solid #DADADA,
	border-radius: 0,
	placeholder: $color-text,
	transition: all .3s ease,
	background: $color-white
);

 //textarea
$textarea: (
	width: 100%,
	height: 135px,
	padding: 10px,
	font-family: $font-family-main,
	font-size: 13px,
	font-weight: $font-weight-main,
	color: $color-text,
	border: 1px solid #DADADA,
	border-radius: 0,
	placeholder:$color-text,
	transition: all .3s ease,
	background: $color-white
);

////////////////////////////
// 5. BREAKPOINTS
/////////////////////////////
$breakpoints: (
	"phone":   481px,
	"tablet-small": 601px,
	"tablet":       768px,
	"laptop":      980px,
	"desktop":      1280px,
	"desktop-max":      1920px,
);

////////////////////////////
// 6. Z INDEX
/////////////////////////////

$z-layers: (
	back: -1,
	default: 1,
	button: 3,
	label-error: 2,
	header: 99,
	menu: 555,
	popup: 665

);

// z-index: z(overlay);
